%define name	lxterminal
%define version 0.3.0
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	LXDE terminal
Summary(de):	Terminal für LXDE
Source0:	%{name}-%{version}.tar.xz
Source1:	lxterminal-root.desktop
URL:            http://lxde.sourceforge.net/
Group:		Graphical desktop/LXDE
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  vte-devel
BuildRequires:	libx11-devel
BuildRequires:	gtk2-devel
BuildRequires:	libpthread-stubs
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
Obsoletes:	%{name} < %version
Obsoletes:	%name-i10n

%description
LXDE terminal

%description -l de
Terminal/Befehlzeile für die LXDE Umgebung. 

%package root
Summary: root terminal for %name
Group: Graphical desktop/LXDE
Requires: %name
Requires: gksu
BuildArch: noarch

%description root
Root terminal for %{name}


%prep
%setup -q


%build
%configure2_5x

%make

%install
rm -rf %buildroot
%{__make} %{?mflags_install} DESTDIR=%buildroot install

#root terminal
install -m 0644 %SOURCE1 %buildroot%{_datadir}/applications/%name-root.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.conf
%{_mandir}/man1/%{name}.1.bz2
%{_datadir}/lxterminal/lxterminal-preferences.ui
%{_datadir}/%{name}/menu.ui
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files root
%defattr(-,root,root,-)
%{_datadir}/applications/%{name}-root.desktop


%changelog
* Thu Jan 26 2017 adrianomorselli <adrianomorselli> 0.3.3-1uplos2017
- rebuild

* Tue Dec 20 2016 daniel <meisssw01 at gmail.com> 0.3.3-1pclos2017
- update

* Thu Dec 04 2014 bb <bb> 0.2.0-2pclos2014
- make root terminal package
- drop i10n package

* Wed Oct 22 2014 ghostbunny <ghostbunny at gmx dot de> 0.2.0-1pclos2014
- 0.2.0
- remove patch was not used
- add missing BRs

* Sat Jul 30 2011 leiche <meisssw01 at aol.com> 0.1.11-1leiche2011
- 0.1.11

